/******************************************************************
 
Copyright  Global Knowledge Software LLC 2006.  All Rights Reserved.
 
This program is protected by U.S. and International Copyright and
Patent Laws.  Unauthorized duplication and/or distribution of this
program is strictly prohibited. Distribution and duplication of this
program are limited by license. If you do not currently have a valid
license from Global Knowledge for this program, any copying or
distribution of the program is unauthorized.  If you do have a current
license from Global Knowledge to utilize this program, your use is
strictly limited by the terms of that license.
 
Patent Pending.
 
******************************************************************/



var GIFrames = new Object;
var GIState = null;
var GIFrameCC =null;
var GIActionCC =null;
var GIAdvText = null;
var GIScreenshot = null;
var GIHighlight = null;
var GICamera = null;
var GITextFrame = null;
//var GILeadinFrame = null;
var GIInfoFrame = null;
//var GIInfoLFrame = null;
var GIFirstFrame = null;
var GIPlayer = null;
var GIActAction	= null;
var GIPrevType = null;
var GINextState = null;
var GIAltIndex = 0;
var GINextAltIndex = null;
//var GIDecisionDIV = null;
var GIOnLoad = false;
var ActMenu = null;
var concepts = new Array();
var GIHistory = new Array();
var PlaySound = false;
var SoundAvail = false;
var AudioAction = null;
var P_GIRESOURCES = "";
var GITMEnabled = false;
var GIDMEnabled = false;
var GITemplateSet = null;
var isPrevTemplate = false;
var GIbgcolor = null;
var playMode = "D"

var fatSSPath = "";
var fatTSPath = "";
var fatPlayer = null;
var param_ctx = "";
var param_ecid = "";
var gicontextID = null;
var screenNames = new Array();

var tutorialMode = false;

P_GIRESOURCES =	"../../../images/";

//defines
var SM_CYCAPTION=19;
var	SM_CXFRAME=4;
var SM_CYFRAME=4;
var SM_CYHSCROLL=16;
var SM_CXVSCROLL=16;

//-----   Frame types: "normal", "decision", "start", "end"
function GIFrame(id,sspath,type,header)
{
	GIFrameCC = { actions: new Array, infoblocks: new Array, sspath: sspath, type: type, header: header };
	screenNames[screenNames.length] = id;
//	alert(id)
	GIFrames[id] = GIFrameCC;
}

function GIAction(id, next, ctx, ecidarray, text, dn, icon, bcolor, input)
{
	GIActionCC = {id: id, next: next, ctx: ctx, ecidarray: ecidarray, text: text, dn: dn, icon: icon, bcolor:bcolor, input:(fixInputString(input)), hotspots: new Array};
	GIFrameCC.actions.push(GIActionCC);
}

function GIInfoBlock(src,icon,alt)
{
	GIFrameCC.infoblocks.push({src: src, icon: icon, alt: alt});
}

function GIHotspot(left, top, right, bottom, explanation)
{
	left = left - 3;
	top = top -3;
	var width = right - left - 3;
	var height = bottom - top - 3;
	GIActionCC.hotspots.push({left:left, top:top, width:width, height:height, explanation:explanation})
}

//<span style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; line-height: normal"></span>

function ConceptInfo(url,width,height,type,key,alt)
{
	concepts[concepts.length]=new Object({url: url, width: width, height: height,type: type,key: key, alt: alt});
};

function EventCancel(event)
{
	return false;
}

function TeacherModeEnabled()
{
	GITMEnabled = true	
}

function DemoModeEnabled()
{
	GIDMEnabled = true	
}

function DisableTutorial()
{
	Disable_Tutorial=true;
}

function SetScreenshotPath(path)
{
	if(path != "")
	{
		fatSSPath = path + "/";
		SoundPlayerObj.SetSoundPath(path);
	}
	else
	{
		fatSSPath = document.location.href;
		while (fatSSPath.indexOf('\\')!=-1)
			fatSSPath=fatSSPath.replace('\\','/');
		fatSSPath=fatSSPath.substr(0,fatSSPath.lastIndexOf('/')+1);
	}
}

function SetTemplateRootPath(path)
{
	if(path)
	{
//		alert(path)
//		fatTSPath = path;
		if(SoundPlayerObj) SoundPlayerObj.SetTemplateRootPath(path);
	}
}

function SetTemplateSet(tset)
{
//	SoundPlayerObj.SetTemplateRootPath(RPath+"TEMPLATE/"+GITemplateSet+"/standard/");
	if(SoundPlayerObj) SoundPlayerObj.SetTemplateSet(tset);
}

function startTopic()
{
	if(window.opener)
	{
		if (!window.opener.closed) window.opener.blur();
	}
	Init()
	startTopic2()
}								  

function Decode(s)
{
	var ss;
	ss=s;
	var k=ss.indexOf("%26");
	while(k!=(-1))
	{
		s=ss.substr(0,k)+"&"+ss.substr(k+3);
		ss=s;
		k=ss.indexOf("%26");
	};
	return ss;
};

function startTopic2()
{
	if(!GIOnLoad)
	{
		setTimeout(startTopic2, 50)
		return;
	}
	BuildBackActions();
	GIState = GIFirstFrame;
	
//	if(GIS1) oPopup.document.getElementById("split1").style.height = GIS1;
	if(GIS2)
	{
		var s2p = GIS2 / (popHeight - 60)

		if (s2p < 0.1)
			s2p = 0.1;
		if (s2p > 0.9)
			s2p = 0.9;
		oPopup.document.getElementById("split1").style.height = ((1 - s2p) * 100) + "%";
		oPopup.document.getElementById("split2").style.height = (s2p * 100) + "%";
//		oPopup.document.getElementById("split2").style.height = GIS2;
	}
	if(GISSS == 1) toggleScreenshot(true);

	var ss=Decode(document.location.hash.substring(1));
	var strArgs = ss.split("&");
	if(strArgs.length == 0 || strArgs[0] == "")
		ss=Decode(document.location.search.substring(1));
		strArgs = ss.split("&");

	for(var i=0;i<strArgs.length;i++)
	{
		if (strArgs[i].substr(0,6)=="Frame=")
		{
			GIState=strArgs[i].substr(6);
		}
		if (strArgs[i].substr(0,10)=="FATPLAYER=")
		{
			fatPlayer=strArgs[i].substr(10);
		}
		if (strArgs[i].substr(0,4)=="Ctx=")
		{
			param_ctx=strArgs[i].substr(4);
			if(param_ctx)
			{
				FatPlayerCommand("GETPARAMCTX");
			}
		}
		if (strArgs[i].substr(0,6).toLowerCase()=="ctxex=")
		{
			param_ecid=strArgs[i].substr(6);
		}
	}
	if(SoundPlayerObj) SoundAvail = SoundPlayerObj.IsAvailable()
	SetStartEcid(param_ecid);

	if(fatPlayer) FatPlayerCommand("PLAYER_LOADED");
	//ODS
	ODSOpenEvGroup();
	//ODS
	if(!Disable_Tutorial)
	{
		setTimeout('RunTutorialDialog("D",0,"../../")',500);
		for(var ii=0;ii<oPopup.document.all.length;ii++)
		{
			oPopup.document.all[ii].attachEvent("onclick", CloseTutorialDialog)
		}
	}


	RefreshStep();
}

function SetStartEcid(ecidexpression)
{
	if (ecidexpression.length==0)
		return;
	EcidComparer.Init(ecidexpression);
	for (var i=0;i<screenNames.length;i++)
	{
		scrName=screenNames[i];
		scr=GIFrames[scrName];
		for (var j=0;j<scr.actions.length;j++)
		{
			act=scr.actions[j];
			if (EcidComparer.Compare(act.ecidarray))
			{
				SetStartFrame(scrName);
				GIAltIndex = j;
				StartFrameCorrection(GIState);
				return;
			};
		};			
	};
};

function SetParamCtx(ctxlist)
{
	gicontextID = ctxlist;
	SetStartContext();
}

var bBackActionsBuilded=false;

function BuildBackActions()
{
	if (!bBackActionsBuilded)
	{
		var scr = null;
		for (var i=0;i<screenNames.length;i++)
		{
			scr=GIFrames[screenNames[i]];
			scr.backActions=new Array();
		};
		for (i=0;i<screenNames.length;i++)
		{
			scr=GIFrames[screenNames[i]];
			for (var j=0;j<scr.actions.length;j++)
			{
				scr.actions[j].prevFrame=screenNames[i];
				s=scr.actions[j].next;
				if(s)
				{
					if (GIFrames[s].type!="end")
						GIFrames[s].backActions[GIFrames[s].backActions.length]=scr.actions[j];
				}
			};
		};
	};
	bBackActionsBuilded=true;
};

function StartFrameCorrection(frameID)
{
	var frmPos=frameID;
	if (GIFrames[frameID].backActions.length==0)
	{
		StartScreen="Start";
		GIAltIndex = 0;
		return;
	};
	var fID="";
	for (var i=0;i<GIFrames[frameID].backActions.length;i++)
	{
		if (i==0)
			fID=GIFrames[frameID].backActions[0].prevFrame;
		else
		{
			if (fID!=GIFrames[frameID].backActions[0].prevFrame)
			{
				GIState=frameID;
				return;
			};
		};
	};
	frmPos=GIFrames[frmPos].backActions[0].prevFrame;
	while (true)
	{
		if (GIFrames[frmPos].backActions.length==0)
		{
			GIState="Start";
			GINextAltIndex = GIAltIndex
			GIAltIndex = 0;
			return;
		};
		if (GIFrames[frmPos].type=="decision")
		{
			GIState=frmPos;
			return;
		};
		GIState=frameID;
		return;
	};
};

function SetStartFrame(frameID)
{
	if (frameID.length==0)
		return;
	if (GIFrames[frameID])
		GIState=frameID;
};

function SetStartContext()
{
	if (gicontextID.length==0)
		return;
	var ctxArray=new Array();
	ctxArray=gicontextID.split("+");		

	for (var i=0;i<ctxArray.length;i++)
	{
		ctxItem=ctxArray[i];
		for (var j=0;j<screenNames.length;j++)
		{
			scrName=screenNames[j];
			scr=GIFrames[scrName];
			for (var k=0;k<scr.actions.length;k++)
			{
				act=scr.actions[k];
				if (act.ctx==ctxItem)
				{
					SetStartFrame(scrName);
					StartFrameCorrection(GIState);
					return;
				};
			};			
		};
	};
};

function OnClose()
{
	top.GIPlayer.closeAp();
//	GIClosePlayer();
}

function SetSound(s)
{
	if(s) PlaySound = s;
}

var KeyHookUp = 1;
var KeyHookTimer = 0;

function StartKeyHook()
{
//	alert("fffffffff")
	StopKeyHook();
	PGIKeyHook.onclick = KeyHookHandler;
	KeyHookTimer = setInterval(KeyHookCallback, 50);
}

function StopKeyHook()
{
	clearInterval(KeyHookTimer);
}

function KeyHookCallback()
{
	PGIKeyHook.click();
}

function KeyHookHandler()
{
	if(UserPrefs.DoIt.HotKey.Ctrl == "N" && UserPrefs.DoIt.HotKey.Shift == "N" && UserPrefs.DoIt.HotKey.Alt == "N") return;
	var nextact = true;
	switch(UserPrefs.DoIt.HotKey.Ctrl)
	{
		case "L":
			if(!event.ctrlLeft) nextact = false;
		break;
		case "R":
			if(!event.ctrlKey || event.ctrlLeft) nextact = false;
		break;
	}
	switch(UserPrefs.DoIt.HotKey.Shift)
	{
		case "L":
			if(!event.shiftLeft) nextact = false;
		break;
		case "R":
			if(!event.shiftKey || event.shiftLeft) nextact = false;
		break;
	}
	switch(UserPrefs.DoIt.HotKey.Alt)
	{
		case "L":
			if(!event.altLeft) nextact = false;
		break;
		case "R":
			if(!event.altKey || event.altLeft) nextact = false;
		break;
	}

	if (nextact) {
		if (KeyHookUp) {
			KeyHookUp = 0;
			GINextStep();
		}
	} else
		KeyHookUp = 1;
}

function GIHilite(ssid)
{
//	alert(width + ',' + height)
	GIHighlight.innerHTML = '';
	if (!ssid) {
		GIHighlight.style.display = "none";
		return;
	} else {
		var col = UserPrefs.MarqueeColor;
		for(var i=0;i<SSAList[ssid].a.hotspots.length;i++)
		{
//			alert(SSAList[ssid].a.hotspots[i].left+','+SSAList[ssid].a.hotspots[i].top)

			GIHighlight.innerHTML += '<DIV id="gihotspot" style="position:absolute;left:' + SSAList[ssid].a.hotspots[i].left
				+ ';top:' + SSAList[ssid].a.hotspots[i].top + ';z-index:1;">'
				+ '<img id="gihotspotimg" src="'+P_GIRESOURCES+'spacer.gif" width="' + SSAList[ssid].a.hotspots[i].width
				+ '" height="' + SSAList[ssid].a.hotspots[i].height
				+ '" class="Area" border="3" style="border-color:' + col + '"></DIV>'

/*			GIHighlight.innerHTML += '<div style="position:absolute;z-index:1;'
				+ 'left:'+SSAList[ssid].a.hotspots[i].left+';top:'+SSAList[ssid].a.hotspots[i].top
				+ ';width:'+SSAList[ssid].a.hotspots[i].width+';height:'+SSAList[ssid].a.hotspots[i].height+'">'
				+ '<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" ID="Table1">'
				+ '<tr>'
					+ '<td width="100%" height="3px" colspan="3"><img src="../../../images/r.gif" width="100%" height="3px"></td>'
				+ '</tr>'
				+ '<tr>'
					+ '<td width="3px" height="100%"><img src="../../../images/r.gif" width="3px" height="100%"></td>'
					+ '<td width="100%" height="100%"></td>'
					+ '<td width="3px" height="100%"><img src="../../../images/r.gif" width="3px" height="100%"></td>'
				+ '</tr>'
				+ '<tr>'
					+ '<td width="100%" height="3px" colspan="3"><img src="../../../images/r.gif" width="100%" height="3px"></td>'
				+ '</tr>'
				+ '</table>'
			+ '</div>'*/
		}
		GIHighlight.style.display = "inline";
//		oPopup.document.getElementById("GIHighlight1").style.left = GIActAction.hotspots[0].left;
//		oPopup.document.getElementById("GIHighlight1").style.top = GIActAction.hotspots[0].top;
//		oPopup.document.getElementById("GIHighlight1").style.width = GIActAction.hotspots[0].width;
//		oPopup.document.getElementById("GIHighlight1").style.height = GIActAction.hotspots[0].height;
	}
}

var hpos = null;
function GICenterHL()
{
	if(!hpos) return;
	var cx = GICamera.clientWidth / 2;
	var cy = GICamera.clientHeight / 2;
	var ox = hpos.left - cx;
	if (ox < 0)
		ox = 0;
	ox = ox - GICamera.scrollLeft;
	var oy = hpos.top - cy;
	if (oy < 0)
		oy = 0;
	oy = oy - GICamera.scrollTop;
	vl = Math.sqrt(ox * ox + oy * oy);
	if (vl < 5) {
		clearInterval(IV);
		IV = null;
		GICamera.scrollLeft = hpos.left - (GICamera.clientWidth / 2);
		GICamera.scrollTop = hpos.top - (GICamera.clientHeight / 2);
//		if (GGGGShowActions.length > 0)
//			setTimeout("GGGSA(oooo)", 2000);
		return;
	}
	ox = ox * 3 / vl;
	oy = oy * 3 / vl;
	GICamera.scrollLeft = GICamera.scrollLeft + ox;
	GICamera.scrollTop = GICamera.scrollTop + oy;
}

var contCHL = false;
function GIStopCHL()
{
	if(fatPlayer)
	{
		if(IV)
		{
			clearInterval(IV);
			IV = null;
			contCHL = true;
		}
	}
}

var SSAList = null; // ScreenShotList
var IV = null;
function GILoadSS(ssid)
{
	hpos = null;
	GIHighlight.innerHTML = '';
	if(ssid)
	{
		GIScreenshot.src = fatSSPath + SSAList[ssid].sspath;
		if(SSAList[ssid].imgid)
		{
			for(var n in SSAList)
			{
				oPopup.document.getElementById(SSAList[n].imgid).src="../../../images/stepdispl0.gif"
			}
			oPopup.document.getElementById(SSAList[ssid].imgid).src="../../../images/stepdispl1.gif"
		}
		if(SSAList[ssid].a.hotspots.length > 0)
		{
			hpos = {left: SSAList[ssid].a.hotspots[0].left, top: SSAList[ssid].a.hotspots[0].top}
			if(!SSAList[ssid].a.hotspots[0].explanation)
			{
				GIHilite(ssid);
			}
			setTimeout(GIStartIV, 500);
		}
	}
}
function GIStartIV()
{
	if(!IV) 
	IV = setInterval(GICenterHL, 10);
}

function OnUpdatePreferences(userpref)
{
	UserPrefs.Copy(userpref);
	setTimeout('RefreshStep()',100);
}

function RefreshStep()
{
	GITextFrame.style.overflow = "visible";
	if(GIState) GIStep(GIState);
	GITextFrame.style.overflow = "auto";
}

function GIStep(newState)
{
//	SoundPlayerObj.Play("01000002.ASX");
	GITextFrame.style.overflow = "visible";
	StopKeyHook();
	GIHighlight.innerHTML = '';
	GIAdvText.innerHTML = '';
	AudioAction = null;
	SSAList = null;
	hpos = null;
	var text=""
	if(newState==null)
	{
		GIClosePlayer();
		return
	}
	GICamera.style.width = popWidth - 18;

	GIState=newState

	var advkeytext = "";
	switch(UserPrefs.DoIt.HotKey.Ctrl)
	{
		case "L":
			advkeytext += "["+R_interface_left+R_interface_ctrl+"]";
		break;
		case "R":
			advkeytext += "["+R_interface_right+R_interface_ctrl+"]";
		break;
	}
	switch(UserPrefs.DoIt.HotKey.Shift)
	{
		case "L":
			if(advkeytext != "") advkeytext += " + ";
			advkeytext += "["+R_interface_left+R_interface_shift+"]";
		break;
		case "R":
			if(advkeytext != "") advkeytext += " + ";
			advkeytext += "["+R_interface_right+R_interface_shift+"]";
		break;
	}
	switch(UserPrefs.DoIt.HotKey.Alt)
	{
		case "L":
			if(advkeytext != "") advkeytext += " + ";
			advkeytext += "["+R_interface_left+R_interface_alt+"]";
		break;
		case "R":
			if(advkeytext != "") advkeytext += " + ";
			advkeytext += "["+R_interface_right+R_interface_alt+"]";
		break;
	}
//	window.open("../../../toc/noscroll.html?Topic.htm#Mode=T", "tplayer", "toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0, fullscreen");

	if(GIFrames[GIState].type == "start" || GIFrames[GIState].type == "end")
	{
		GIClearAll();
		if(!GIAltIndex) GIAltIndex = 0;
		GIActAction = GIFrames[GIState].actions[GIAltIndex]

		if(GIFrames[GIState].type == "start")
		{
			ODSFrameView("D",GIState);
			if(UserPrefs.ShowLeadIn!="all")
			{
				GINextState = GIActAction.next;
				GINextStep()
				return false;
			}
			GIAdvText.innerHTML = '<span style="cursor:hand" onclick="top.GIPlayer.GINextStep(); return false"><img src="../../../images/nextstep.gif" width="22" height="22" border="0" alt="'+R_interface_nextstep+(advkeytext=="" ? "" : R_interface_nextstep2+advkeytext)+R_interface_nextstep3+'"></span>';
		}
		else
		{
			if(GIHistory.length > 0)
				GIAdvText.innerHTML = '<span style="cursor:hand" onclick="top.GIPlayer.GIPrevStep(); return false"><img src="../../../images/prevstep.gif" width="22" height="22" border="0" alt="'+R_menu_prevstep+'"></span><img style="border:0;width:3;height:1">'
			GIAdvText.innerHTML += '<span style="cursor:hand" onclick="top.GIPlayer.closeAp(); return false"><img src="../../../images/nextstepclose.gif" width="22" height="22" border="0" alt="'+R_bubble_closeondemand+'"></span>';
		}

		GILoadInfoBlocks(GIInfoFrame);

		text +=	GIgetActionText(GIActAction)
		GITextFrame.innerHTML=text;
		
		if(ScreenshotVisible)
		{
			if (GIState == "Start")
			{
				SSAList[GIActAction.id].a = GIActAction;
				SSAList[GIActAction.id].sspath = GIFrames[GIState].sspath;
				GILoadSS(GIActAction.id)
			}
			else
				GIScreenshot.src = fatSSPath + GIState.substr(1, GIState.length - 1) + "G.PNG";
			GIHilite(null);
		}
		StartKeyHook();
	}
  
	if(GIFrames[GIState].type == "decision")
	{
		GIAltIndex = 0;
		GIActAction = GIFrames[GIState].actions[GIAltIndex]
		if(GIHistory.length > 0)
			GIAdvText.innerHTML = '<span style="cursor:hand" onclick="top.GIPlayer.GIPrevStep(); return false"><img src="../../../images/prevstep.gif" width="22" height="22" border="0" alt="'+R_menu_prevstep+'"></span><img style="border:0;width:3;height:1"><img src="../../../images/giftrk1.gif" style="border:0;width:22;height:22">'
		GILoadInfoBlocks(GIInfoFrame);
		text += GIGetDecisionText(GIState)
		GITextFrame.innerHTML = text;
		if(ScreenshotVisible)
		{
			GIScreenshot.src = fatSSPath + GIState.substr(1, GIState.length - 1) + "G.PNG";
			GIHilite(null);
		}
}
  
	if(GIFrames[GIState].type == "normal")
	{
//		GIAdvText.innerHTML = '<a href="#" onclick="top.GIPlayer.GINextStep(); return false">' + R_menu_nextstep + '</a>'
		if(GIHistory.length > 0)
			GIAdvText.innerHTML = '<span style="cursor:hand" onclick="top.GIPlayer.GIPrevStep(); return false"><img src="../../../images/prevstep.gif" width="22" height="22" border="0" alt="'+R_menu_prevstep+'"></span><img style="border:0;width:3;height:1">'

		GIAdvText.innerHTML += '<span style="cursor:hand" onclick="top.GIPlayer.GINextStep(); return false"><img src="../../../images/nextstep.gif" width="22" height="22" border="0" alt="'+R_interface_nextstep+(advkeytext=="" ? "" : R_interface_nextstep2+advkeytext)+R_interface_nextstep3+'"></span>'
		GIClearAll();
		if(GIFrames[GIState].actions.length>1)
		{
			for(var aa=1;aa<GIFrames[GIState].actions.length;aa++)
			{
				var bt = GetTextWT(GIFrames[GIState].actions[aa].text)
				if(bt != "")
					GIShowAltsPic()
			}
		}
//		alert(GIState)
		if(!GIAltIndex) GIAltIndex = 0;
		GIActAction = GIFrames[GIState].actions[GIAltIndex]

		GILoadInfoBlocks(GIInfoFrame);

		text +=	GIgetActionText(GIActAction)
		GITextFrame.innerHTML=text;
		
		if(ScreenshotVisible)
		{
			var GA = GIActAction;
			SSAList[GA.id].a = GIActAction;
			SSAList[GA.id].sspath = GIFrames[GIState].sspath;
	//		GGGGShowActions = new Array();
	//		GGGGShowActions.push( {f: GIState, a: GIActAction} );
			while(GA.dn && GIFrames[GA.next].type != "decision")
			{
				SSAList[GIFrames[GA.next].actions[0].id].a = GIFrames[GA.next].actions[0];
				SSAList[GIFrames[GA.next].actions[0].id].sspath = GIFrames[GA.next].sspath;
				GA = GIFrames[GA.next].actions[0];
			}
			GILoadSS(GIActAction.id)
		}

//		GGGSA(oPopup.document.getElementById("camera"), 0);
		
		StartKeyHook();
	}

	GIRefreshActionMenu()

	GIbgcolor = GIActAction.bcolor;
	if(GIbgcolor) oPopBody.style.backgroundColor = GIbgcolor;
	else oPopBody.style.backgroundColor = "#FEFECE"

//	var loc = window.location.href
//	loc = loc.substring(0,loc.lastIndexOf("/")+1);

	if(GITMEnabled)
	{
//			getID("GIST").innerHTML='<a href="#" onclick='
//				+'"top.window.open(\'../../../toc/noscroll.html?'+escape(loc + 'Topic.htm#Mode=T&Frame='+GIState)+'\', \'tplayer\', \'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0, fullscreen\'); return false"><IMG SRC="' + P_GIRESOURCES + 'playtpc.gif" border="0" alt=""></a> '

			/* getID("GIST") @ */
//			oPopup.document.getElementById("GIST").innerHTML='<a href="#" onclick="top.GIPlayer.openTM()"'
//				+'><IMG SRC="' + P_GIRESOURCES + 'playtpc.gif" border="0" alt="' + R_tooltip_viewtryit + '"></a> '

//			oPopBody = oPopup.document.body;
//			oPopBody.innerHTML = getID("oContextHTML0").innerHTML;
//			oPopBody.ondragstart = EventCancel ;
	}

	AudioAction = GIActAction;
	if(SoundAvail && PlaySound && UserPrefs.PlayAudio=="all")
	{
		PlayAudio()
	}
//	alert(GIInfoFrame.innerHTML)
//	alert(text)
//	window.blur()
	GITextFrame.style.width = popWidth - 29;
	if(fatPlayer) FatPlayerCommand("ACTIVATE_APPLICATION");
	GITextFrame.style.overflow = "auto";
}

function GITMClosed()
{
//	alert("csukva")
	ShowPopup();
//	InitPopUp();
//	GIStep(GIState);
//	RePop()
}

function IsPrimaryDisplay()
{
	primarydisplay=true;
	var testwindow=window.open("","","width=10,height=10");
	if (testwindow.screenLeft<0 || testwindow.screenLeft>this.screen.width)
		primarydisplay=false;
	if (testwindow.screenTop<0 || testwindow.screenTop>this.screen.height)
		primarydisplay=false;
	testwindow.close();
	return primarydisplay;
}

function openTM()
{
	if(SoundPlayerObj && SoundAvail && PlaySound) SoundPlayerObj.Stop();
	if(fatPlayer)
	{
		HidePopup()
		var s = "Mode=T&Frame=" + GIState;
		FatPlayerCommand("START_SIMULATEDMODE",s)
	}
	else
	{
		HidePopup()
		var loc = window.location.href
		loc = loc.substring(0,loc.lastIndexOf("/")+1);

		var params="toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,";
		if (IsPrimaryDisplay())
		{
			params+="fullscreen=1";
		}
		else
		{
			sw=window.screen.availWidth-2*SM_CYFRAME;				// screen width
			sh=window.screen.availHeight-2*SM_CYFRAME-SM_CYCAPTION;	// screen height
			params+="top=0,left=0,width="+sw+",height="+sh;
		}

		top.window.open('../../../toc/noscroll.html?'+escape(loc + "TOPIC.HTML#Mode=T&Frame="+GIState), 'tplayer', params);
	}
//	alert(tplayer)
}

function OpenTutorial(link,name,params)
{
	HidePopup();
	var ss = "../toc/noscroll.html#" + link
	top.window.open(ss, name, params);
}

function openDM()
{
	if(SoundPlayerObj && SoundAvail && PlaySound) SoundPlayerObj.Stop();
	if(fatPlayer)
	{
		HidePopup()
		var s = "Mode=S&Frame=" + GIState;
		FatPlayerCommand("START_SIMULATEDMODE",s)
	}
	else
	{
		HidePopup()
		var loc = window.location.href
		loc = loc.substring(0,loc.lastIndexOf("/")+1);

		var params="toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,";
		if (IsPrimaryDisplay())
		{
			params+="fullscreen=1";
		}
		else
		{
			sw=window.screen.availWidth-2*SM_CYFRAME;				// screen width
			sh=window.screen.availHeight-2*SM_CYFRAME-SM_CYCAPTION;	// screen height
			params+="top=0,left=0,width="+sw+",height="+sh;
		}


		top.window.open('../../../toc/noscroll.html?'+escape(loc + "TOPIC.HTML#Mode=S&Frame="+GIState), 'dplayer', params);
	}
//	alert(tplayer)
}

function PlayTemplate()
{
//	alert("template")
	isPrevTemplate = true;
	var path=template_then_wav;
	if(SoundPlayerObj) SoundPlayerObj.Play(path,false,true);
}

function PlayAudio()
{
	isPrevTemplate = false;
//	SoundPlayerObj.Stop();
	if(SoundPlayerObj)
	{
		if(GIFrames[GIState].type == "start") SoundPlayerObj.Play("start.ASX");
		else SoundPlayerObj.Play(AudioAction.id.substring(1)+".ASX");
	}
//	SoundPlayerObj.Play("../../../TEMPLATE/Default/standard/g_then.wav");
}

function OnEndPlaySound()
{
	if(SoundPlayerObj) SoundPlayerObj.Stop();
//	alert("joo")
	if(isPrevTemplate) setTimeout(PlayAudio,300)
	else
	{
		if(AudioAction.dn && GIFrames[AudioAction.next].type != "decision")
		{
			AudioAction = GIFrames[AudioAction.next].actions[0]
			setTimeout(PlayTemplate,300);
		}
	}
}

function OnErrorPlaySound(code,descr)
{
	if(SoundPlayerObj) SoundPlayerObj.Stop();
//	alert(descr)
	if(isPrevTemplate) setTimeout(PlayAudio,300)
	else
	{
		if(AudioAction.dn && GIFrames[AudioAction.next].type != "decision")
		{
			AudioAction = GIFrames[AudioAction.next].actions[0]
			setTimeout(PlayTemplate,300);
		}
	}
}

function GIGetDecisionText(newState)
{
//	var tt = "<span style='font: Arial 9pt'>Choose one of the options below:<BR><BR>";
	var tt = "<span style='font: 9pt Arial'>" + GIFrames[GIState].header + "<BR><BR>";
	for(var i=0;i<GIFrames[newState].actions.length;i++)
	{
		var a = GIFrames[newState].actions[i]
		var at = escape(GetTextWT(a.text))
//		tt += '<a href="#" onclick="top.GIPlayer.GINextStep(\'' + a.next + '\',\'' + at + '\'); return false">';
		tt += "<li><a href='#' onclick='top.GIPlayer.GINextStep(\"" + a.next + "\"); return false'>";
		tt += a.text;
		tt += '</a><BR></li>'
	}
	tt += '</span>';
//	alert(tt);
	return tt
}

function Replace(str,s,r)
{
	var k=str.indexOf(s);
	if (k<0)
		return str;
	var s1=str.substr(0,k);
	var s2=str.substr(k+6);
	return (s1+r+s2);	
};

function GIgetActionText(action)
{
	var tt = '';
	SSAList = new Array();
	SSAList[action.id] = {fid: null, a: null, imgid: null}
	if(action.icon)
	{
		tt += '<img style="margin-right:5;margin-bottom:5" align="left" border="0" src="' + P_GIRESOURCES + action.icon + '"> '
	}
	if(action.text==null) tt +=	'';
	else {
		tt += "<div>";
		if(action.input)
		{
			action.text = BuildInputText(action.input, action.text);
		}
		if (action.dn && GIFrames[action.next].type != "decision")
		{
			if(ScreenshotVisible)
			{
				tt += "<img id='lss" + action.id + "' alt='"+R_interface_filmstrip+"' style='cursor:hand' align='right' src='../../../images/stepdispl1.gif' onclick='parent.GILoadSS(\"" + action.id + "\");'>";
				var id1 = 'lss' + action.id
				SSAList[action.id].imgid = id1;
			}
			else
			{
				tt += "<img style='width:13;height:9' align='right' src='../../../images/s.gif'</div>";
			}
		}
		tt += "<div>" + action.text + "</div>";
	}
	var a = action
	while(a.dn && GIFrames[a.next].type != "decision")
	{
		a = GIFrames[a.next].actions[0]
		if(a.input)
		{
			a.text = BuildInputText(a.input, a.text);
		}
		tt += '<div><img style="border:0;height:9;width:1"></div><B style="font-family:Arial;font-size:9pt">' + R_bubletext_then + '</B><BR>'

		if(a.icon)
		{
			tt += '<img align="left" border="0" src="' + P_GIRESOURCES + a.icon + '"> '
		}
		if(ScreenshotVisible)
		{
			tt += "<div><img id='lss" + a.id + "' alt='"+R_interface_filmstrip+"' style='cursor:hand' align='right' src='../../../images/stepdispl0.gif' onclick='parent.GILoadSS(\"" + a.id + "\");'>";
			var id1 = 'lss' + a.id
			SSAList[a.id] = {fid: null, a: null, imgid: id1}
		}
		else
		{
			tt += "<div><img style='width:13;height:9' align='right' src='../../../images/s.gif'";
		}
		tt += "<div>" + a.text + "</div>"

//		tt += "<div>" + a.text + "</div>";
	}
//		alert(tt)
	GINextState=a.next;

	return tt;
}

function BuildInputText(aobj,templatetext)
{
	var s="";
	var fs=template_strinp_formatter_start;
	var fe=template_strinp_formatter_end;
	
// something	

	if (aobj[0]=="S")
	{
		if (template_strinp_suppress_example>0)
			s=template_strinp_something_text_noexample;
		else
			s=Replace(template_strinp_something_text,"#VALUE",fs+aobj[1]+fe);
	}

// anything

	else if (aobj[0]=="A")
	{
		if (template_strinp_suppress_example>0)
			s=template_strinp_anything_text_noexample;
		else
			s=Replace(template_strinp_anything_text,"#VALUE",fs+aobj[1]+fe);
	}

// nothing

	else if (aobj[0]=="N")
	{
		for (var i=1;i<aobj.length;i++)
		{
			s+=fs+aobj[i]+fe;
			s+=" ";
			s+=template_strinp_or;
			s+=" ";
		};
		s+=template_strinp_nothing;
	}

// 1 vagy tobb konkret alternativa

	else
	{
		for (var i=1;i<aobj.length;i++)
		{
			s+=fs+aobj[i]+fe;
			s+=" ";
			if (i<aobj.length-1)
			{
				s+=template_strinp_or;
				s+=" ";
			};
		};
	}
	var ss;

// beiras a templatetextbe

	ss=Replace(templatetext,"#VALUE",s);	
	
	return ss;
};


function GIClearAll()
{
	GITextFrame.innerHTML="";
	GIInfoFrame.innerHTML="";
	GIInfoFrame .innerHTML += '<span id="GIST"></span>'
	GIInfoFrame .innerHTML += '<span id="GIAlts"></span>';
}

function GIRestart()
{
	var firstFrame = GIHistory[0].frame;
	GIHistory = null;
	GIHistory = new Array();
	GINextStep(firstFrame,true);
}

function GIPrevStep()
{
	var GIHistItem = GIHistory[GIHistory.length-1];
	GIRHist(GIHistory.length-1);
	GINextStep(GIHistItem.frame,true,GIHistItem.altindex);
}

function GINextStep(newStep, prev, altindex)
{
	if(newStep)
	{		  
		//ODS
		ODSFrameView("D",newStep);
//		alert(GIState+"   " + text)
		if(!prev) GIHistory.push({frame:GIState, type:GIFrames[GIState].type, altindex:GIAltIndex})
		if(altindex) GIAltIndex = altindex
		else GIAltIndex = null

		if(GINextAltIndex)
		{
			GIAltIndex = GINextAltIndex;
			GINextAltIndex = null;
		}
		GIClearAll()
		GIStep(newStep)
	}
	else
	{
		//ODS
		ODSFrameView("D",GINextState);
//		alert(GIState+"   " + GIActAction.text)
		if(!prev) GIHistory.push({frame:GIState, type:GIFrames[GIState].type, altindex:GIAltIndex})
		if(altindex) GIAltIndex = altindex
		else GIAltIndex = null

		if(GINextAltIndex)
		{
			GIAltIndex = GINextAltIndex;
			GINextAltIndex = null;
		}
		GIClearAll()
		GIStep(GINextState)
	}
}

function GetTextWT(text)
{
	var pos,pos2;
	while(text.indexOf("<") != -1)
	{
		pos = text.indexOf("<")
		var bef=text.substring(0,pos)
		pos2 = text.indexOf(">",pos)
		var intext = text.substring(pos+1,pos2)
//		alert(intext)
		if(intext=="/P" || intext=="/p" || intext.substr(0,1)=="p" || intext.substr(0,1)=="P" || intext=="BR" || intext=="br")
		{
			bef += "&nbsp";
		}
		var aft = text.substring(pos2+1)
		text = bef + aft;
	}
	return text;
}

function GILoadInfoBlocks(frame)
{
	var iState = GIState
	var iAction = GIFrames[iState].actions[GIAltIndex]
	var donext = true
	var donext2 = true
//	GIClearAll()
	
	while(donext)
	{
		if(GIFrames[iState].infoblocks.length>0)
		{
			donext = false
			var htmltext='';
	//		frame .innerHTML += '<IMG border="0" style="background-color:black; width:1; height:20">&nbsp &nbsp'

			if(GIFrames[GIState].actions.length>1 && GIFrames[GIState].type!="decision") htmltext = '<img style="border:0;width:3;height:1"><IMG border="0" style="background-color:black; width:1; height:20">'
			frame.insertAdjacentHTML("beforeEnd", htmltext);
			while(donext2)
			{
				for(var i=0;i<GIFrames[iState].infoblocks.length;i++)
				{
					var inf = GIFrames[iState].infoblocks[i]
	
					htmltext = "<img style='border:0;width:3;height:1'><span style='cursor:hand' onclick=\"" + inf.src + "\""
						+ '>'
						+ '<IMG SRC="' + P_GIRESOURCES + inf.icon + '" border="0" alt="' + inf.alt + '"></span>'
					frame.insertAdjacentHTML("beforeEnd", htmltext);
				}
				if(iAction.dn && GIFrames[iAction.next].type != "decision")
				{
					iState = iAction.next
					iAction = GIFrames[iState].actions[0]
				}
				else donext2 = false
			}
		}
		else
		{
			if(iAction.dn && GIFrames[iAction.next].type != "decision")
			{
				iState = iAction.next
				iAction = GIFrames[iState].actions[0]
			}
			else donext = false
		} 
	}
}

function GINextAlt()
{
	GIAltIndex += 1;
	if(GIAltIndex >= GIFrames[GIState].actions.length)
		GIAltIndex = 0;

	var bt = GetTextWT(GIFrames[GIState].actions[GIAltIndex].text)
	if(bt == "")
	{
		GINextAlt()
		return false;
	}

	RefreshStep();
}

function GIShowAltsPic()
{
	/* getID("GIAlts") @ */
	oPopup.document.getElementById("GIAlts").innerHTML='<span style="cursor:hand" onclick="top.GIPlayer.GINextAlt(); return false"><IMG SRC="' + P_GIRESOURCES + 'alternatives.gif" border="0" alt="' + R_menu_alternatives + '"></span>'
}

function GIOpenAction(o)
{
	for(var ii=0;ii<oPopup.document.all.length;ii++)
	{
		oPopup.document.all[ii].detachEvent("onclick", GICloseAction)
	}
	var pleft=100;
	var ptop=100;
/*	if(TopPos == constPad &&LeftPos == constPad )
	{
		pleft=300;
		ptop=300;
	}*/
/*	if (o) {
		var r = o.getBoundingClientRect();
		pleft = oPopup.document.parentWindow.screenLeft + r.right - 196;
		ptop = oPopup.document.parentWindow.screenTop + r.bottom;
	}*/
	pleft = LeftPos + popWidth - 234;
	ptop = TopPos + 30;
	if(ActMenu) ActMenu.Open(pleft,ptop);
	GIRefreshActionMenu()

	setTimeout(GIAttachEvent,100)
}

function GIAttachEvent()
{
	for(var ii=0;ii<oPopup.document.all.length;ii++)
	{
		oPopup.document.all[ii].attachEvent("onclick", GICloseAction)
	}
}

function GICloseAction()
{
	if(ActMenu) ActMenu.Close()
}

function GIRHist(index)
{
//	alert(index)
	var arr = new Array()
	for(var i=0;i<index;i++)
	{
		arr[i] = GIHistory[i]
	}
	GIHistory = new Array()
	for(var i=0;i<arr.length;i++)
	{
		GIHistory[i] = arr[i]
	}
}

function GIRefreshActionMenu()
{
	if(ActMenu)
	{
		var his = false;
		if(GIHistory.length>0)
			his = true;
		var alt = false;
		if(GIFrames[GIState].actions.length>1 && GIFrames[GIState].type != "decision")
			alt = true;
		var next = false;
		if(GIFrames[GIState].type != "decision" && GIFrames[GIState].type != "end")
			next = true;
		var prefs =	UserPrefs.EnablePreferences
		if(!systemEnableCookies) prefs = false;
		ActMenu.Refresh(prefs,his,alt,next,GITMEnabled,GIDMEnabled,Disable_Tutorial)
	}
}

function GIOpenHelp()
{
	OpenHelp("../../../help/help.html",fatPlayer)
}

function GIOpenTutorial()
{
	GICloseAction();
	if(!Disable_Tutorial) RunTutorialDialog("D",1,"../../");
}

function GIClosePlayer()
{
	if(fatPlayer)
	{
		FatPlayerCommand("PLAYER_CLOSE");
	}
	else
	{
		CloseTutorialDialog()
		GICloseAction();
		GIPlayer.close();
		if(window.opener)
		{
			if (!window.opener.closed) window.opener.focus()
		}
	}
}

function OnClosingPreferences()
{
	ShowPopup();
	setTimeout('RefreshStep()',100);
}

function GIOpenPreferences()
{
	HidePopup();
	OpenPreferencesDialog("../../..",!SoundAvail);
	if(fatPlayer) ShowPopup();
}

function Init()
{
	ActMenu = new ActionMenu();
	Init2()
}

function Init2()
{
//	if(!document.frames("GITextFrame").document.getElementsByTagName('body')[0])
	oPopup.document.getElementById("GITwisty").alt = R_interface_graphic;

	oPopup.document.getElementById("gititle").innerHTML = "&nbsp " + R_mode_doit;
	oPopup.document.getElementById("gicloseod").alt = R_bubble_closeondemand;
	GIInfoFrame = oPopup.document.getElementById("PGIInfoFrame");
	GITextFrame = oPopup.document.getElementById("PGITextFrame");
	oPopup.document.getElementById("pgiaction").innerHTML= '<span title="'+R_interface_action_alt+'" style="CURSOR:hand;TEXT-DECORATION:underline;FONT-SIZE:9pt;COLOR:#ccffff;FONT-WEIGHT:normal;FONT-FAMILY:Arial,Helvetica,sans-serif" onclick="top.GIPlayer.GIOpenAction(this);">' + R_interface_action + '</span>';
	GIAdvText = oPopup.document.getElementById("PGIAdvText");
	GIScreenshot = oPopup.document.getElementById("PGIScreenshot");
	GIScreenshot.alt = R_interface_graphic_alt;
	GIHighlight = oPopup.document.getElementById("PGIHighlight");
	GICamera = oPopup.document.getElementById("camera")

	GIPlayer = self;
	document.title=R_mode_doit;


	GIOnLoad = true;
	
}

var ScreenshotVisible = 1;
var SavedSSHeight = 0;
var SavedSSHeight2 = 0;

function toggleScreenshot(o)
{
//	alert(popHeight+" 1: "+oPopup.document.getElementById("split1").clientHeight+" 2: "+oPopup.document.getElementById("split2").clientHeight)
//	alert(" 1: "+oPopup.document.getElementById("split1").style.height+" 2: "+oPopup.document.getElementById("split2").style.height)
	if (ScreenshotVisible) 
	{
		oPopup.document.getElementById("GITwisty").src = '../../../images/twistydown'+ (o ? '0' : '1') + '.gif';
		var s2 = oPopup.document.getElementById("split2"); 
		var h = s2.getBoundingClientRect().top;
		SavedSSHeight = popHeight - h;
		SavedSSHeight2 = s2.clientHeight;
		popHeight = h;
		oPopup.document.getElementById("sstoggle1").style.display="none";
		oPopup.document.getElementById("sstoggle2").style.display="none";
		oPopup.document.getElementById("sstoggle3").style.display="none";
		oPopup.document.getElementById("split1").style.height="100%";
		ScreenshotVisible = 0;
		oPopup_show(LeftPos, TopPos, popWidth, popHeight);	
	} else {
		oPopup.document.getElementById("GITwisty").src = '../../../images/twistyup1.gif';
		if(!SavedSSHeight2) SavedSSHeight2 = 100;
		popHeight += SavedSSHeight;
		
		oPopup.document.getElementById("sstoggle1").style.display="inline";
		oPopup.document.getElementById("sstoggle2").style.display="inline";
		oPopup.document.getElementById("sstoggle3").style.display="inline";

		var s2p = SavedSSHeight2 / (popHeight - 60)

		if (s2p < 0.1)
			s2p = 0.1;
		if (s2p > 0.9)
			s2p = 0.9;
		oPopup.document.getElementById("split1").style.height=((1 - s2p) * 100) + "%";
		oPopup.document.getElementById("split2").style.height=(s2p * 100) + "%";
		ScreenshotVisible = 1;
		if (popHeight > screen.height)
			popHeight = screen.height;
		oPopup_show(LeftPos, TopPos, popWidth, popHeight);
		LeftPos = oPopup.document.parentWindow.screenLeft;
		TopPos = oPopup.document.parentWindow.screenTop;
	}
	if(systemEnableCookies && GICookie && GICookie != null)
	{
		GICookie["Cleft"]=LeftPos;
		GICookie["Ctop"]=TopPos;
		GICookie["Cwidth"]=popWidth;
		if(ScreenshotVisible) GICookie["Cheight"]=popHeight;
		else GICookie["Cheight"]=popHeight + SavedSSHeight;
		GICookie["Csss"]=ScreenshotVisible+1;

		GICookie["Cs2"]=SavedSSHeight2;
		GICookie.Store()
	}

	RefreshStep();
}

function DecodeInputString(s)
{
	s = replaceString("&lt;","<", s);
	return s;
}

function replaceString(oldS,newS,fullS) {
// Replaces oldS with newS in the string fullS
   for (var i=0; i<fullS.length; i++) {
	   if (fullS.substring(i,i+oldS.length) == oldS) {
			fullS = fullS.substring(0,i)+newS+fullS.substring(i+oldS.length,fullS.length)
		}
	}
	return fullS
}

function fixInputString(strHTMLString) {
	if(strHTMLString)
	{
		for(var i=0; i<strHTMLString.length; i++)
		{
			strHTMLString[i] = replaceString("<","&lt;", strHTMLString[i]);
			strHTMLString[i] = replaceString(">","&gt;", strHTMLString[i]);
		}
	}
	
	return strHTMLString;
}

/*
function GGGFocus()
{
	
	RePop();
}

function GGGBlur()
{
	RePop();
}

window.onfocus=GGGFocus;
window.onblur=GGGBlur;
*/
if (Array.prototype.push == null)
	Array.prototype.push = function(e) { this[this.length] = e; return e};


