/******************************************************************
 
Copyright  Global Knowledge Software LLC 2006.  All Rights Reserved.
 
This program is protected by U.S. and International Copyright and
Patent Laws.  Unauthorized duplication and/or distribution of this
program is strictly prohibited. Distribution and duplication of this
program are limited by license. If you do not currently have a valid
license from Global Knowledge for this program, any copying or
distribution of the program is unauthorized.  If you do have a current
license from Global Knowledge to utilize this program, your use is
strictly limited by the terms of that license.
 
Patent Pending.
 
******************************************************************/

/* 
//System modal POP UP window
//	
//	
//	Author:       Anthony Terra
//	Date:         5/24/99
//	Revision:     5/24/99
//	Description:  Creates a system modal IE only popup window.
//								For all other browsers it creates a regular
//								popup window
//
// Copyright  Global Knowledge Software LLC 2006.
*/


var appOpened = true;
var oPopup;
var oPopBody;
var i = 0; 
var constPad = 8;
var popHeight = 400;
var popWidth = 275;
var currentPos=0;
var TopPos = screen.availHeight-popHeight-constPad;
var LeftPos = screen.availWidth-popWidth-constPad;
var MainTopPos;
var MainLeftPos;
var newwindow = '';
var isIE = (navigator.appName.indexOf("Microsoft") != -1) ? true : false;
var isIE55;
var TaskBarHeight = 0;

//Preload the position images
if(document.images){
	var TopLeft=new Image(22,22);
	var TopRight=new Image(22,22);
	var BottomLeft=new Image(22,22);
	var BottomRight=new Image(22,22);
	
	TopLeft.src="../../../images/bmove_ul2ur.gif";		
	TopRight.src="../../../images/bmove_ur2lr.gif";
	BottomLeft.src="../../../images/bmove_ll2ul.gif";
	BottomRight.src="../../../images/bmove_lr2ll.gif";
}
		
//Detects the IE version
if(isIE){
	var appVerArray = navigator.appVersion.split(";");
	var appVer = appVerArray[1];
	appVer = appVer.substr(6)
	appVer = parseFloat(appVer);
	isIE55 = (appVer>=5.5) ? true : false;
}
else{
	isIE55 = false;
	constPad = 12;
	TaskBarHeight = 25;
	TopPos = TopPos  - TaskBarHeight
}

//Creates the popup if IE 5.5 or higher
oPopup = window.createPopup();

//used to grab elements regardless of browser
function getID(ID){
	if(document.all){
		return document.all(ID);
	}
	else{
		return document.getElementById(ID);
	}
}

function oPopup_show(l,t,w,h,hide)
{
	if(!popHidden)
	{
		oPopup.show(l,t,w,h);
		if(fatPlayer)
		{
			var s = "X="+ l + "&Y=" + t + "&W=" + w + "&H=" +h;
			FatPlayerCommand("WINDOW_MOVED",s);
		}
		if(!hide)
		{
			LeftPos = oPopup.document.parentWindow.screenLeft;
			TopPos = oPopup.document.parentWindow.screenTop;
		}

/*		else
		{
			if(l==1 && t==1 && w==1 && h==1)
			{
				moveTo(-500,-500);
			}
			else
			{
				moveTo(l,t);
			}
			resizeTo(w,h);
		}*/
	}
}

//Used by the popup only.  Reloads the Popup if it is hidden
function RePop()
{
	if (window.screenLeft >= -1000 && window.screenTop >= -1000) {
		if(!popHidden&&!oPopup.isOpen&&appOpened){
			oPopup_show(LeftPos, TopPos, popWidth, popHeight);
		}
//		if(appOpened){
//			window.blur();
//		}
//	} else {
//		oPopup.hide();
	}
}
//Initializes all of the popups Attributes
function InitPopUp(){
	oPopBody = oPopup.document.body;
	oPopBody.innerHTML = getID("oContextHTML0").innerHTML;
	oPopBody.ondragstart = EventCancel ;
	oPopBody.oncontextmenu = EventCancel;
	if(GIbgcolor) oPopBody.style.backgroundColor = GIbgcolor;
	else oPopBody.style.backgroundColor ="#FEFECE";
	oPopBody.style.border = "solid black 3px";
	oPopBody.style.borderBottomWidth = "2px";
	oPopBody.aLink = "blue";
	oPopBody.vLink = "blue";
	oPopBody.attachEvent("onmousemove",BodyMove);
	oPopBody.attachEvent("onmousedown",GISizePopup);
	oPopup_show(LeftPos, TopPos, popWidth, popHeight);
}
//This will load the initial page
var PopIV = null;
function Load()
{
//	GetCorrectImage();
	InitPopUp();
	PopIV = setInterval(RePop,250)
//	window.blur();

}

var resizdir = 0;
var resizbdown = false;
function BodyMove()
{
//alert("hello")
	var e = oPopBody.document.parentWindow.event;
//	GIInfoFrame.innerHTML=GICamera.scrollLeft + ",,," + GICamera.scrollTop
	if(e.srcElement.id=="movePopup" && !resizbdown)
	{
		resizdir="move"
		return;
	}
	if((e.srcElement.id=="resizeSE" || ((e.clientX>=popWidth-3 && e.y>=popHeight-15) || (e.clientX>=popWidth-15 && e.y>=popHeight-3))) && !resizbdown)
	{
		oPopBody.style.cursor="se-resize";
		resizdir="se"
		return;
	}
	if(((e.clientX <=3 && e.clientY<=15) || (e.clientY <=3 && e.clientX<=15)) && !resizbdown)
	{
		oPopBody.style.cursor="nw-resize";
		resizdir="nw"
		return;
	}
	if(((e.clientX <=3 && e.clientY>=popHeight-15) || (e.clientY >=popHeight-3 && e.clientX<=15)) && !resizbdown)
	{
		oPopBody.style.cursor="sw-resize";
		resizdir="sw"
		return;
	}
	if(((e.clientX >=popWidth-15 && e.clientY<=3) || (e.clientY <=15 && e.clientX>=popWidth-3)) && !resizbdown)
	{
		oPopBody.style.cursor="ne-resize";
		resizdir="ne"
		return;
	}
	if(e.clientY >=popHeight-3 && !resizbdown)
	{
		oPopBody.style.cursor="s-resize";
		resizdir="s"
		return;
	}
	if(e.clientX >=popWidth-3 && !resizbdown)
	{
		oPopBody.style.cursor="e-resize";
		resizdir="e"
		return;
	}
	if(e.clientX <=3 && !resizbdown)
	{
		oPopBody.style.cursor="w-resize";
		resizdir="w"
		return;
	}
	if(e.clientY <=3 && !resizbdown)
	{
		oPopBody.style.cursor="n-resize";
		resizdir="n"
		return;
	}
	oPopBody.style.cursor="auto";
	if(!resizbdown)
	{
		resizdir = 0;
//			oPopBody.detachEvent("onmousedown",GISizePopup);
//			window.status="detach"
	}
	
}

var captobj = null;
var doresize = false;
var rIV = null;
function GIResize()
{
	doresize = true;
}

function GISizePopup()
{
	if(!resizdir) return;
	var e = oPopup.document.parentWindow.event;
	if (e.button != 1) return;
	var s = e.type;
	if (s == "mousedown" && e.button == 1) 
	{
		captobj = e.srcElement;
		resizeStartPos = { left: LeftPos - e.screenX, width: popWidth + e.screenX, width2: popWidth - e.screenX, right: LeftPos + popWidth, top: TopPos - e.screenY, height: popHeight + e.screenY, height2: popHeight - e.screenY, bottom: TopPos + popHeight}
		resizbdown = true;
		captobj.setCapture();
		rIV = setInterval(GIResize,15)
		captobj.attachEvent("onmousemove",GISizePopup);
		captobj.attachEvent("onmouseup",GISizePopup);
		return;
	}
	if (s == "mouseup") {
		if(systemEnableCookies && GICookie && GICookie != null)
		{
			GICookie["Cleft"]=LeftPos;
			GICookie["Ctop"]=TopPos;
			GICookie["Cwidth"]=popWidth;
			if(ScreenshotVisible) GICookie["Cheight"]=popHeight;
			else GICookie["Cheight"]=popHeight + SavedSSHeight;
//			GICookie["s1"]=oPopup.document.getElementById("split1").style.height;
//			GICookie["s2"]=oPopup.document.getElementById("split2").style.height;
			GICookie["Csss"]=ScreenshotVisible+1;
			GICookie.Store()
		}

		resizbdown = false;
		clearInterval(rIV);
		captobj.detachEvent("onmousemove",GISizePopup);
		captobj.detachEvent("onmouseup",GISizePopup);
		captobj.releaseCapture();
//			window.status="up"
		resizeStartPos = null;
		return;
	}
	if (!resizeStartPos || !doresize)
		return;

	doresize = false;
	switch (resizdir)
	{
		case "move":
			LeftPos = resizeStartPos.left + e.screenX;
			TopPos = resizeStartPos.top + e.screenY;
			break;
		case "se":
			popHeight = resizeStartPos.height2 + e.screenY;
			popWidth = resizeStartPos.width2 + e.screenX;
			if (LeftPos + popWidth > screen.width) popWidth = screen.width - LeftPos;
			if (TopPos + popHeight > screen.height) popHeight = screen.height - TopPos;
			break;
		case "ne":
			popHeight = resizeStartPos.height - e.screenY;
			popWidth = resizeStartPos.width2 + e.screenX;
			TopPos = resizeStartPos.top + e.screenY;
			if(TopPos < 0) popHeight = resizeStartPos.bottom;
			if(TopPos + 200 > resizeStartPos.bottom) TopPos = resizeStartPos.bottom - 200;
			if (LeftPos + popWidth > screen.width) popWidth = screen.width - LeftPos;
			break;
		case "nw":
			popWidth = resizeStartPos.width - e.screenX;
			LeftPos = resizeStartPos.left + e.screenX;
			popHeight = resizeStartPos.height - e.screenY;
			TopPos = resizeStartPos.top + e.screenY;
			if(LeftPos < 0) popWidth = resizeStartPos.right;
			if(TopPos < 0) popHeight = resizeStartPos.bottom;
			if(LeftPos + 150 > resizeStartPos.right) LeftPos = resizeStartPos.right - 150;
			if(TopPos + 200 > resizeStartPos.bottom) TopPos = resizeStartPos.bottom - 200;
			break;
		case "sw":
			popHeight = resizeStartPos.height2 + e.screenY;
			popWidth = resizeStartPos.width - e.screenX;
			LeftPos = resizeStartPos.left + e.screenX;
			if (TopPos + popHeight > screen.height) popHeight = screen.height - TopPos;
			if(LeftPos + 150 > resizeStartPos.right) LeftPos = resizeStartPos.right - 150;
			if(LeftPos < 0) popWidth = resizeStartPos.right;
			break;
		case "w":
			popWidth = resizeStartPos.width - e.screenX;
			LeftPos = resizeStartPos.left + e.screenX;
			if(LeftPos + 150 > resizeStartPos.right) LeftPos = resizeStartPos.right - 150;
			if(LeftPos < 0) popWidth = resizeStartPos.right;
			break;
		case "n":
			popHeight = resizeStartPos.height - e.screenY;
			TopPos = resizeStartPos.top + e.screenY;
			if(TopPos + 200 > resizeStartPos.bottom) TopPos = resizeStartPos.bottom - 200;
			if(TopPos < 0) popHeight = resizeStartPos.bottom;
			break;
		case "e":
			popWidth = resizeStartPos.width2 + e.screenX;
			if (LeftPos + popWidth > screen.width) popWidth = screen.width - LeftPos;
			break;
		case "s":
			popHeight = resizeStartPos.height2 + e.screenY;
			if (TopPos + popHeight > screen.height) popHeight = screen.height - TopPos;
			break;
	}
	if (ScreenshotVisible) 
	{
		if (popHeight < 200)
			popHeight = 200;
	}
	else
	{
		if (popHeight < 129)
			popHeight = 129;
	}	
	if (popWidth < 150)
		popWidth = 150;

	if(ScreenshotVisible)
	{
		var s1 = oPopup.document.getElementById("split1");
		var s2 = oPopup.document.getElementById("split2");
		var yd = s1.clientHeight;
		if(yd < 78) yd = 78;
		var sy = s1.clientHeight + s2.clientHeight;
		yd /= sy;
		if (yd < 0.1)
			yd = 0.1;
		if (yd > 0.9)
			yd = 0.9;
		s1.style.height = (yd * 100) + "%";
		s2.style.height = ((1 - yd) * 100) + "%";
	}
//	window.status = s + LeftPos + ", " + TopPos;
//	oPopup.document.parentWindow.event.returnValue = false;
	oPopup_show(LeftPos, TopPos, popWidth, popHeight);	
//	LeftPos = oPopup.document.parentWindow.screenLeft;
//	TopPos = oPopup.document.parentWindow.screenTop;
	GITextFrame.style.width = popWidth - 29;
}

var splitState = 0;

function GGGSplitD(o)
{
	o.setCapture();
	splitState = 1;
}

function GGGSplitM(o)
{
	if (splitState) {
		var yd = oPopup.document.parentWindow.event.clientY;
		var s1 = oPopup.document.getElementById("split1");
		var sy = s1.getBoundingClientRect().top;
		var s2 = oPopup.document.getElementById("split2");
		yd -= sy + 12;
		if(yd < 78) yd = 78;
		sy = s1.clientHeight + s2.clientHeight;
//		GIInfoFrame.innerHTML=yd + ",,," + sy
		yd /= sy;
		if (yd < 0.1)
			yd = 0.1;
		if (yd > 0.9)
			yd = 0.9;
		s1.style.height = (yd * 100) + "%";
		s2.style.height = ((1 - yd) * 100) + "%";
	}
}

function GGGSplitU(o)
{
	if(systemEnableCookies && GICookie && GICookie != null)
	{
		GICookie["Cleft"]=LeftPos;
		GICookie["Ctop"]=TopPos;
		GICookie["Cwidth"]=popWidth;
		if(ScreenshotVisible) GICookie["Cheight"]=popHeight;
		else GICookie["Cheight"]=popHeight + SavedSSHeight;
//		GICookie["s1"]=oPopup.document.getElementById("split1").style.height;
//		GICookie["s2"]=oPopup.document.getElementById("split2").style.height;
		GICookie["Cs2"]=oPopup.document.getElementById("split2").clientHeight;
		GICookie["Csss"]=ScreenshotVisible+1;
		GICookie.Store()
	}
	splitState = 0;
	o.releaseCapture();
}

var startPos = null;
//----Event handler for screenshot
function SSEH(o)
{
	var e = oPopBody.document.parentWindow.event;
	if(e.type == "mousedown" && e.button == 2)
	{
		clearInterval(IV);
		IV = null;
		if(hpos)
		{
			GICamera.scrollLeft = hpos.left - (GICamera.clientWidth / 2);
			GICamera.scrollTop = hpos.top - (GICamera.clientHeight / 2);
		}
		else
		{
			GICamera.scrollLeft = 0;
			GICamera.scrollTop = 0;
		}
		return;
	}
	if(e.type == "mousedown" && e.button == 1)
	{
		clearInterval(IV);
		IV = null;
		startPos = { top: o.scrollTop + e.screenY, left: o.scrollLeft + e.screenX }
		o.setCapture();
		return;
	}
	if(e.type == "mouseup")
	{
		startPos = null;
		o.releaseCapture();
		return;
	}
	if(!startPos) return;
	o.scrollTop = startPos.top - e.screenY;
	o.scrollLeft = startPos.left - e.screenX;
	
}

var popHidden = false;
function HidePopup()
{
	GICloseAction();
	oPopup_show(1,1,1,1,true);
	popHidden = true;
	clearInterval(PopIV);
	GIStopCHL();
}

function ShowPopup()
{
	popHidden = false;
	oPopup_show(LeftPos, TopPos, popWidth, popHeight);
	PopIV = setInterval(RePop,250);
	if(contCHL) top.GIPlayer.GIStartIV();
}

//Closes the Popup or window
function closeAp()
{
	if(appOpened)
	{
		//ODS
		ODSCloseEvGroup();
		//ODS
		setTimeout(closeAp2,500);
	}
}

function closeAp2()
{
	clearInterval(IV);
	clearInterval(PopIV);
	StopKeyHook();
	appOpened = false;
	oPopup.hide(); 
	//window.moveTo(MainLeftPos,MainTopPos)
	top.GIPlayer.GIClosePlayer();
	if(!fatPlayer) window.close();
}

//This function is used when the popup or 
//window is closed by the user and then requested again
