/******************************************************************

Copyright  Global Knowledge Software LLC 2006.  All Rights Reserved.

This program is protected by U.S. and International Copyright and
Patent Laws.  Unauthorized duplication and/or distribution of this
program is strictly prohibited. Distribution and duplication of this
program are limited by license. If you do not currently have a valid
license from Global Knowledge for this program, any copying or
distribution of the program is unauthorized.  If you do have a current
license from Global Knowledge to utilize this program, your use is
strictly limited by the terms of that license.

Patent Pending.

******************************************************************/

var tutorialname="tutorial_topic";
var Disable_Tutorial=false;

var R_cancel = "Cancel"
var R_About = "About %s"

var R_wrong_input = "Please enter the requested text."
var R_wrong_key = "Please press the requested key or key combination."
var R_wrong_decision = "Please make a selection from the available options."
var R_wrong_mouse = "Please complete the action in the highlighted area."

var R_browser_ver = "The Player requires Microsoft Internet Explorer 5.5 or later."

var R_no_results = "No content to display in this view..."
var R_no_search_results = "No search results found."
var R_toc_title = "UPK"
var R_default_prefs = "This button restores all Player preferences to their default values.\nDo you want to continue?"
var R_toc_doit_err = "There is another topic already being played"

// Names of logical search operators in current language
var R_search_AND = "AND"
var R_search_OR = "OR"
var R_search_NEAR = "NEAR"

var R_mode_doit = "Do It!";
var R_mode_tryit = "Try It!";
var R_mode_seeit = "See It!";
var R_mode_knowit = "Know It?";
var R_interface_action = "Actions";
var R_interface_action_alt = "Display a list of available options";
var R_interface_pause = "Pause";
var R_interface_resume = "Resume";
var R_interface_graphic = "Show/Hide Graphic";
var R_interface_graphic_alt = "Drag to see the rest of this graphic or right-click to reset."
var R_interface_nextstep = "Click Next Step";
var R_interface_nextstep2 = " or press ";
var R_interface_nextstep3 = " to advance";
var R_interface_left = "Left ";
var R_interface_right = "Right ";
var R_interface_ctrl = "Ctrl";
var R_interface_alt = "Alt";
var R_interface_shift = "Shift";
var R_interface_filmstrip = "Display graphic for this step";

var R_tooltip_viewtryit = "View step in Try It! mode";
var R_bubletext_then = "Next:";

var R_bubble_closeondemand = "Close UPK"

var R_menu_nextstep = "Next Step";
var R_menu_prevstep = "Previous Step";
var R_menu_play = "Play";
var R_menu_start	= "Restart Playback";
var R_menu_alternatives = "Show next Alternative action";
var R_menu_concepts	= "Display Concept";
var R_menu_infoblocks	= "Infoblocks";
var R_menu_history	= "History";
var R_menu_preferences = "Preferences";
var R_menu_help = "Help";
var R_menu_tutorial = "Tutorial";
var R_menu_Close = "Close Topic";
var R_menu_Start = "Start";
var R_menu_Finish = "Finish";
var R_menu_press = "Press [Enter] to ";
var R_menu_press_esc = "Press [Esc] to ";
var R_menu_close = "close";
var R_menu_this  = " this window.";
var R_gimenu_close = "Close this window";

var R_jumpin_header = "Start topic at:";
var R_jumpin_beginning = "Beginning of topic";

var R_certificate_header = "Know It - Scoring Results";
var R_certificate_result = "Result:";
var R_certificate_pass = "Pass";
var R_certificate_fail = "Fail";
var R_certificate_percentComplete = "Total percentage of steps completed without assistance:";
var R_certificate_percentNeeded = "Percentage needed to pass:";
var R_certificate_DateTime = "Date and time printed:";
var R_certificate_signature = "Signature";
var R_certificate_print = "Print";
var R_certificate_close = "Close";
var R_certificate_PCTChar = "%";
var R_certificate_TitleExtension = " - Scoring Results";

var R_WMP_bad_version1 = "Sound playback requires Windows Media Player component version: ";
var R_WMP_bad_version2 = ".\r\nThe current version is: ";
var R_WMP_bad_version3 = ".\r\nUpdate WMP if you want to hear sound. Turn off the sound option in the Preferences dialog if you do not want to see this warning again.";
var R_WMP_not_installed = "Audio playback is not supported or Windows Media Player is not installed";

var R_splashtext = "Topic is loading... Please wait.";

var R_roles_all_removed = "All roles have been removed from the content. Role based filtering will not be available.";
var R_roles_removed = "Some of your selected roles have been removed from the content. Please review your role settings.";
var R_roles_removed_all_selected = "All your selected roles have been removed from the content. Role based filtering will be turned off.";
var R_roles_toggle_tooltip = "Enable/Disable Role-based filtering";

var R_module="Module: "
var R_topic="Topic: "

var R_KP_title = "Browser-based Player Gateway Page";
var R_KP_replay = "Replay";
var R_KP_invalid_arguments = "Invalid Arguments. The arguments must be formatted as 'Mode=???&TpcFile=???[&Back]'";

var R_popup_create_error = "Do It! mode must be run from a site that is in the Trusted sites security zone.";
var R_search_invalid_char = "The search expression may not contain a single quote (') character";

var R_titleformat_begin = "<DIV class=\"LeadinHead\" NOWRAP=\"\">";
var R_titleformat_end = "</DIV><BR>";

var R_toc_help = "Player Help";
var R_toc_tutorials = "Tutorials";
var R_toc_tut_player = "Player";
var R_toc_tut_seeit = "See It!";
var R_toc_tut_tryit = "Try It!";
var R_toc_tut_knowit = "Know It!";
var R_toc_tut_doit = "Do It!";
