/******************************************************************
 
Copyright  Global Knowledge Software LLC 2006.  All Rights Reserved.
 
This program is protected by U.S. and International Copyright and
Patent Laws.  Unauthorized duplication and/or distribution of this
program is strictly prohibited. Distribution and duplication of this
program are limited by license. If you do not currently have a valid
license from Global Knowledge for this program, any copying or
distribution of the program is unauthorized.  If you do have a current
license from Global Knowledge to utilize this program, your use is
strictly limited by the terms of that license.
 
Patent Pending.
 
******************************************************************/



var popupMenu=0;

function ActionMenu()
{
	this.Open=_AOpen;
	this.Close=_AClose;
	this.Refresh=_ARefresh;
	this.IsOnScreen=_AIsOnScreen;
	this.onScreen=false;
};

function _AOpen(left, top)
{
	if (!popupMenu)
	{
		popupMenu=oPopup.document.parentWindow.createPopup();
	};
	aPopBody = popupMenu.document.body;
	popupMenu.document.body.style.borderStyle="solid";
	popupMenu.document.body.style.borderWidth="1px";
	popupMenu.document.body.style.borderColor="gray";
	popupMenu.document.body.style.backgroundColor="f7f7e7";
	popupMenu.document.body.style.marginTop="8px";
	popupMenu.document.body.style.marginBottom="8px";
	popupMenu.document.body.style.marginLeft="8px";
	popupMenu.document.body.style.marginRight="8px";

	popupMenu.document.body.aLink="0000FF";
	popupMenu.document.body.link="0000FF";
	popupMenu.document.body.vLink="0000FF";
	popupMenu.document.body.text="black";

	aPopBody.ondragstart = EventCancel ;
	aPopBody.oncontextmenu = EventCancel ;
//	popupMenu.show(left, top, 200,300);
	this.onScreen=true;
};

function _AClose()
{
	if(this.onScreen)
	{
		popupMenu.hide();
		this.onScreen=false;
	}
};

function OnActionSelection(v1,v2,v3)
{
	popupMenu.hide();
	this.onScreen=false;
	if (v1=="Alt")
	{
		GIPlayer.GINextAlt();
	};
	if (v1=="Next")
	{
		GIPlayer.GINextStep();
	};
	if (v1=="Prev")
	{
		GIPlayer.GIPrevStep();
	};
	if (v1=="Restart")
	{
		GIPlayer.GIRestart();
	};
	if (v1=="Conc")
	{
		var ss="";
		ss="DoLink('"+concepts[v2].url
				+"',"+concepts[v2].width
				+","+concepts[v2].height
				+","+concepts[v2].type
				+",'"+concepts[v2].key+"');";
		
		setTimeout(ss,20);
	};
	if (v1=="Info")
	{
		setTimeout(GIFrames[v3].infoblocks[v2].src,20);
	};
	if (v1=="PlayT")
	{
		GIPlayer.openTM();
	};
	if (v1=="PlayD")
	{
		GIPlayer.openDM();
	};
	if (v1=="Prefs")
	{
		GIPlayer.GIOpenPreferences();
	};
	if (v1=="Help")
	{
		GIPlayer.GIOpenHelp();
	};
	if (v1=="Tutorial")
	{
		GIPlayer.GIOpenTutorial();
	};
	if (v1=="CloseT")
	{
		GIPlayer.GIClosePlayer();
	};
	if (v1=="CloseW")
	{
		GIPlayer.GICloseAction();
	};
	GICloseAction();
};

function CorrectPopup()
{
	popupMenu.show(0,0,0,0);
	sp=popupMenu.document.all["actionspan"];
	hsp=sp.offsetHeight;
	wsp=sp.offsetWidth;
	obj = oPopup.document.getElementById("pgiaction");
	objh = obj.offsetHeight;
	popupMenu.show(-(wsp-20),objh,wsp+20,hsp+20,obj);
	ActMenu.onScreen=true;
}

function PopupToggle(div)
{
	if (popupMenu.document.all[div].style.display=="none")
		popupMenu.document.all[div].style.display="block";
	else
		popupMenu.document.all[div].style.display="none";
	CorrectPopup()
};

function _ARefresh(prefs,his,alt,next,tmenabled,dmenabled,distut)
{
	if (!this.onScreen)
		return;
	var s="";
	var s="<div id='actionspan' style='font:8pt Arial;width:100' nowrap='true'>";
	if (alt)
	{
		s+="<li><a href='#' onclick='parent.parent.OnActionSelection(\"Alt\");return false;'>";
		s+=R_menu_alternatives;
		s+="</a></li>";
	};
	if (next)
	{
		s+="<li><a href='#' onclick='parent.parent.OnActionSelection(\"Next\");return false;'>";
		s+=R_menu_nextstep;
		s+="</a></li>";
	};
	if (his)
	{
		s+="<li><a href='#' onclick='parent.parent.OnActionSelection(\"Prev\");return false;'>";
		s+=R_menu_prevstep;
		s+="</a></li>";

		s+="<li><a href='#' onclick='parent.parent.OnActionSelection(\"Restart\");return false;'>";
		s+=R_menu_start;
		s+="</a></li>";
	};
	var i=0;
	if (concepts.length>0)
	{
		s+="<li><a href='#' onclick='parent.parent.PopupToggle(\"concdiv\")'>";
		s+=R_menu_concepts;
		s+="</a></li>";
		s+="<div id='concdiv' style='display:none'>";
		for (i=0;i<concepts.length;i++)
		{
			s+="<li style='list-style-type:circle;text-indent:18px'>";
			s+="<a href='#' onclick='parent.parent.OnActionSelection(\"Conc\",";
			s+=""+i;
			s+=");return false;'>";
			s+=concepts[i].alt;
			s+="</a></li>";
		};
		s+="</div>";
	};

	var iState = GIState
	var iAction = GIFrames[iState].actions[GIAltIndex]
	var donext = true
	var donext2 = true
	
	while(donext)
	{
		if (GIFrames[iState].infoblocks.length>0)
		{
			donext = false
			s+="<li><a href='#' onclick='parent.parent.PopupToggle(\"infodiv\")'>";
			s+=R_menu_infoblocks;
			s+="</a></li>";
			s+="<div id='infodiv' style='display:none'>";
			
			while(donext2)
			{
				for (i=0;i<GIFrames[iState].infoblocks.length;i++)
				{
					s+="<li style='list-style-type:circle;text-indent:18px'>";
					s+="<a href='#' onclick='parent.parent.OnActionSelection(\"Info\",";
					s+=""+i;
					s+=",\"" + iState + "\");return false;'>";
					s+=GIFrames[iState].infoblocks[i].alt;
					s+="</a></li>";
				};
				if(iAction.dn && GIFrames[iAction.next].type != "decision")
				{
					iState = iAction.next
					iAction = GIFrames[iState].actions[0]
				}
				else donext2 = false
			}
			s+="</div>";
		};
		else
		{
			if(iAction.dn && GIFrames[iAction.next].type != "decision")
			{
				iState = iAction.next
				iAction = GIFrames[iState].actions[0]
			}
			else donext = false
		} 
	}
	if (tmenabled || dmenabled)
	{
		s+="<li><a href='#' onclick='parent.parent.PopupToggle(\"playdiv\")'>";
		s+=R_menu_play;
		s+="</a></li>";
		s+="<div id='playdiv' style='display:block'>";
		if(dmenabled)
		{
			s+="<li style='list-style-type:circle;text-indent:18px'>";
			s+="<a href='#' onclick='parent.parent.OnActionSelection(\"PlayD\"";
			s+=");return false;'>";
			s+=R_mode_seeit;
			s+="</a></li>";
		}
		if(tmenabled)
		{
			s+="<li style='list-style-type:circle;text-indent:18px'>";
			s+="<a href='#' onclick='parent.parent.OnActionSelection(\"PlayT\"";
			s+=");return false;'>";
			s+=R_mode_tryit;
			s+="</a></li>";
		}
		s+="</div>";
	};

	if (prefs)
	{
		s+="<li><a href='#' onclick='parent.parent.OnActionSelection(\"Prefs\");return false;'>";
		s+=R_menu_preferences;
		s+="</a></li>";
	};
	s+="<li><a href='#' onclick='parent.parent.OnActionSelection(\"Help\");return false;'>";
	s+=R_menu_help;
	s+="</a></li>";

	if(!distut)
	{
		s+="<li><a href='#' onclick='parent.parent.OnActionSelection(\"Tutorial\");return false;'>";
		s+=R_menu_tutorial;
		s+="</a></li>";
	}

	s+="<li><a href='#' onclick='parent.parent.OnActionSelection(\"CloseT\");return false;'>";
	s+=R_menu_Close;
	s+="</a></li>";

//	s+="<br>";
//	s+="<a href='#' onclick='parent.parent.OnActionSelection(\"CloseW\");return false;'>";
//	s+=R_gimenu_close;
//	s+="</a>";
	s+="</div>"

	popupMenu.document.body.innerHTML=s;
//	obj=document.all('screen');
//	popupMenu.show(100,150,230,360,obj);
	CorrectPopup()
	this.onScreen=true;
};

function _AIsOnScreen()
{
	return this.onScreen;
};