/******************************************************************

Copyright  Global Knowledge Software LLC 2006.  All Rights Reserved.

This program is protected by U.S. and International Copyright and
Patent Laws.  Unauthorized duplication and/or distribution of this
program is strictly prohibited. Distribution and duplication of this
program are limited by license. If you do not currently have a valid
license from Global Knowledge for this program, any copying or
distribution of the program is unauthorized.  If you do have a current
license from Global Knowledge to utilize this program, your use is
strictly limited by the terms of that license.

Patent Pending.

******************************************************************/

var popupMenu=0;

function ActionMenu()
{
	this.Open=_AOpen;
	this.Close=_AClose;
	this.Refresh=_ARefresh;
	this.IsOnScreen=_AIsOnScreen;
	this.PopupIsOpened=_APopupIsOpened;
	this.onScreen=false;
};

function _AOpen()
{
	if (!popupMenu)
	{
		popupMenu=createPopup();
	};
	aPopBody = popupMenu.document.body;
	popupMenu.document.body.style.borderStyle="solid";
	popupMenu.document.body.style.borderWidth="1px";
	popupMenu.document.body.style.borderColor="gray";
	popupMenu.document.body.style.backgroundColor="f7f7e7";
	popupMenu.document.body.style.marginTop="8px";
	popupMenu.document.body.style.marginBottom="8px";
	popupMenu.document.body.style.marginLeft="8px";
	popupMenu.document.body.style.marginRight="8px";

	popupMenu.document.body.aLink="0000FF";
	popupMenu.document.body.link="0000FF";
	popupMenu.document.body.vLink="0000FF";
	popupMenu.document.body.text="black";

	aPopBody.ondragstart = EventCancel ;
	aPopBody.oncontextmenu = EventCancel ;
	this.onScreen=true;
};

function _APopupIsOpened()
{
	if (popupMenu==0)
	{
		return false;
	}
	return popupMenu.isOpen;
}

function _AClose()
{
	popupMenu.hide();
	this.onScreen=false;
};

function OnActionSelection(v1,v2)
{
	popupMenu.hide();
	this.onScreen=false;
	if (v1=="Next")
	{
		OnMenuAlternative("TeacherForward(false)");
	};
	if (v1=="Prev")
	{
		OnMenuAlternative("TeacherBack()");
	};
	if (v1=="Start")
	{
		OnMenuAlternative("TeacherFastBack()");
	};
	if (v1=="Alt")
	{
		OnMenuAlternative("TeacherAlter()");
	};
	if (v1=="Conc")
	{
		OnMenuAlternative(concepts[v2].url,
							concepts[v2].width,
							concepts[v2].height,
							concepts[v2].infotype,
							concepts[v2].infokey);
	};
	if (v1=="Info")
	{
		OnMenuAlternative(screens[showScreen].infoblocks[v2].simpleurl,
							screens[showScreen].infoblocks[v2].width,
							screens[showScreen].infoblocks[v2].height,
							screens[showScreen].infoblocks[v2].infotype,
							screens[showScreen].infoblocks[v2].infokey);
	};
	if (v1=="Prefs")
	{
		OnMenuAlternative("OpenPreferences()");
	};
	if (v1=="Help")
	{
		OnMenuAlternative("LaunchHelp()","../../../help/help.html");
	};
	if (v1=="Tutorial")
	{
		OnMenuAlternative("LaunchTutorial()");
	};
	if (v1=="CloseT")
	{
		OnClose();
	};
	if (v1=="CloseW")
	{
		CloseAction();
	};
	if (v1=="Resume")
	{
		OnMenuAlternative("Menu_Resume()");
	}
};

function CorrectPopup()
{
	obj=binterf.GetActionLink();
	h=obj.offsetHeight;
	popupMenu.show(0,h,0,0,obj);
	sp=popupMenu.document.all["actionspan"];
	hsp=sp.offsetHeight;
	wsp=sp.offsetWidth;
	popupMenu.show(0,h,wsp+20,hsp+20,obj);
	this.onScreen=true;
}

function PopupToggle(div)
{
	if (popupMenu.document.all[div].style.display=="none")
		popupMenu.document.all[div].style.display="block";
	else
		popupMenu.document.all[div].style.display="none";
	CorrectPopup();
};

function _ARefresh(next,prev,first,alt,changeconcept,changeinfo,frompref)
{
	if (!this.onScreen)
		return;
	var s="<div id='actionspan' style='font:8pt Arial; width:100' nowrap=yes>";
	
	s+="<a href='#'></a>";
	
	if (playMode=="T")
	{
		if (next)
		{
			s+="<li><a href='#' onclick='parent.OnActionSelection(\"Next\");return false;'>";
			s+=R_menu_nextstep;
			s+="</a></li>";
		};
		if (prev)
		{
			s+="<li><a href='#' onclick='parent.OnActionSelection(\"Prev\");return false;'>";
			s+=R_menu_prevstep;
			s+="</a></li>";
		};
		if (first)
		{
			s+="<li><a href='#' onclick='parent.OnActionSelection(\"Start\");return false;'>";
			s+=R_menu_start;
			s+="</a></li>";
		};
		if (alt)
		{
			s+="<li><a href='#' onclick='parent.OnActionSelection(\"Alt\");return false;'>";
			s+=R_menu_alternatives;
			s+="</a></li>";
		};

		var i=0;
		if (concepts.length>0)
		{
			s+="<li><a href='#' onclick='parent.PopupToggle(\"concdiv\")'>";
			s+=R_menu_concepts;
			s+="</a></li>";
			s+="<div id='concdiv' style='display:none'>";
			for (i=0;i<concepts.length;i++)
			{
				s+="<li style='list-style-type:circle;text-indent:18px'>";
				s+="<a href='#' onclick='parent.OnActionSelection(\"Conc\",";
				s+=""+i;
				s+=");return false;'>";
				s+=concepts[i].text;
				s+="</a></li>";
			};
			s+="</div>";
		};

		if (screens[showScreen].infoblocks.length>0)
		{
			s+="<li><a href='#' onclick='parent.PopupToggle(\"infodiv\")'>";
			s+=R_menu_infoblocks;
			s+="</a></li>";
			s+="<div id='infodiv' style='display:none'>";
			for (i=0;i<screens[showScreen].infoblocks.length;i++)
			{
				s+="<li style='list-style-type:circle;text-indent:18px'>";
				s+="<a href='#' onclick='parent.OnActionSelection(\"Info\",";
				s+=""+i;
				s+=");return false;'>";
				s+=screens[showScreen].infoblocks[i].tooltip;
				s+="</a></li>";
			};
			s+="</div>";
		};
	};

	///// works in seeit only
	
	if (playMode=="S")
	{
		s+="<li><a href='#' onclick='parent.OnActionSelection(\"Resume\");return false;'>";
		s+=R_interface_resume;
		s+="</a></li>";
	}
	
	///// works in tryit and knowit and seeit
	if (systemEnableCookies && UserPrefs.EnablePreferences)
	{
		s+="<li><a href='#' onclick='parent.OnActionSelection(\"Prefs\");return false;'>";
		s+=R_menu_preferences;
		s+="</a></li>";
	};
	s+="<li><a href='#' onclick='parent.OnActionSelection(\"Help\");return false;'>";
	s+=R_menu_help;
	s+="</a></li>";
	
	if (!Disable_Tutorial)
	{
		s+="<li><a href='#' onclick='parent.OnActionSelection(\"Tutorial\");return false;'>";
		s+=R_menu_tutorial;
		s+="</a></li>";
	}
	
	s+="<li><a href='#' onclick='parent.OnActionSelection(\"CloseT\");return false;'>";
	s+=R_menu_Close;
	s+="</a></li>";

	s+="</span>";
	popupMenu.document.body.innerHTML=s;
	
	setTimeout('try{popupMenu.document.all["actfocus"].focus();};catch(e){};',100);
//	obj=document.all('screen');
//	popupMenu.show(100,150,230,360,obj);
	
	CorrectPopup();
};

function _AIsOnScreen()
{
	return this.onScreen;
};