/******************************************************************

Copyright  Global Knowledge Software LLC 2006.  All Rights Reserved.

This program is protected by U.S. and International Copyright and
Patent Laws.  Unauthorized duplication and/or distribution of this
program is strictly prohibited. Distribution and duplication of this
program are limited by license. If you do not currently have a valid
license from Global Knowledge for this program, any copying or
distribution of the program is unauthorized.  If you do have a current
license from Global Knowledge to utilize this program, your use is
strictly limited by the terms of that license.

Patent Pending.

******************************************************************/

////////////////// ODS functions ////////////////////////////////////////

var ODSTopicSession;
var ODSUrl = "track.odt";
//var ODSUrl="http://kpdev/ods/content/DHTML%20for%20Winword%20XP/images/track.odt";
var ODSVersion="ver=1";

function ODSOpenEvGroup()
// call from every modes when topic playing starts
{
	if (tutorialMode)
		return;
	var ODSNow=new Date();
	if (playMode == "D" && ODSUrl == "track.odt") ODSUrl = "../../../images/track.odt"
	var s="";
	ODSTopicSession = ODSNow.valueOf();
	s=ODSUrl+"?"+ODSVersion+"&type=o&evgtype=t&evgroup="+ODSTopicSession;
	s+="&mode="+playMode+ODSTopicNameParam();
	document.images.item("ODSEvGroup").src=s;
}

function ODSCloseEvGroup()
// call from every modes when topic playing finishes
{
	if (tutorialMode)
		return;
	if (playMode == "D" && ODSUrl == "track.odt") ODSUrl = "../../../images/track.odt"
	var s=ODSUrl+"?"+ODSVersion+"&type=c&evgtype=t&evgroup="+ODSTopicSession;
	s+="&mode="+playMode+ODSTopicNameParam();
	document.images.item("ODSEvGroup").src=s;
}

function ODSFrameView(mode,frame)
// call from every modes when enter a frame
{
	if (tutorialMode)
		return;
	if (playMode == "D" && ODSUrl == "track.odt") ODSUrl = "../../../images/track.odt"
	var s=ODSUrl+"?"+ODSVersion+"&type=t&evgroup="+ODSTopicSession;
	s+="&topicid="+document.images.item("ODSFrameView").getAttribute("TOPICID")+"&mode="+mode+"&frame="+frame;
	document.images.item("ODSFrameView").src=s;
}

function ODSKnowitScore(score,passed)
// call from KnowIt mode when topic playing finishes
{
	if (tutorialMode)
		return;
	if (playMode == "D" && ODSUrl == "track.odt") ODSUrl = "../../../images/track.odt"
	var s=ODSUrl+"?"+ODSVersion+"&type=k&evgroup="+ODSTopicSession;
	s+="&topicid="+document.images.item("ODSKnowitScore").getAttribute("TOPICID")+"&score="+score+"&passed="+passed;
	document.images.item("ODSKnowitScore").src=s;
}

function ODSTopicNameParam()
// internal function
{
	if (playMode == "D" && ODSUrl == "track.odt") ODSUrl = "../../../images/track.odt"
	var ODSNameParam="&appname="+ODSEscape(document.images.item("ODSEvGroup").getAttribute("APPNAME"));
	ODSNameParam=ODSNameParam+"&modname="+ODSEscape(document.images.item("ODSEvGroup").getAttribute("MODNAME"));
	ODSNameParam=ODSNameParam+"&topicname="+ODSEscape(document.images.item("ODSEvGroup").getAttribute("TOPICNAME"));
	return(ODSNameParam);
}
function ODSEscape(Url) {
	var newUrl = encodeURIComponent(Url);
	//var newUrl = escape(Url);
	//newUrl = replaceString("+","%2b",newUrl);
	return newUrl;
}

function replaceString(oldS,newS,fullS) {
// Replaces oldS with newS in the string fullS
   for (var i=0; i<fullS.length; i++) {
	   if (fullS.substring(i,i+oldS.length) == oldS) {
			fullS = fullS.substring(0,i)+newS+fullS.substring(i+oldS.length,fullS.length)
		}
	}
	return fullS
}

////////////////// end of ODS functions /////////////////////////////////

/* export these lines to topic.htm & topicg.htm into end of body section

<IMG ID="ODSFrameView" WIDTH="1" HEIGHT="1" SRC="" TOPICID="_topic_id_">
<IMG ID="ODSKnowitScore" WIDTH="1" HEIGHT="1" SRC="" TOPICID="_topic_id_">
<IMG ID="ODSEvGroup" WIDTH="1" HEIGHT="1" SRC="" APPNAME="_appname_" MODNAME="_modulename_" TOPICNAME="_topicname_">

*/
