/******************************************************************

Copyright  Global Knowledge Software LLC 2006.  All Rights Reserved.

This program is protected by U.S. and International Copyright and
Patent Laws.  Unauthorized duplication and/or distribution of this
program is strictly prohibited. Distribution and duplication of this
program are limited by license. If you do not currently have a valid
license from Global Knowledge for this program, any copying or
distribution of the program is unauthorized.  If you do have a current
license from Global Knowledge to utilize this program, your use is
strictly limited by the terms of that license.

Patent Pending.

******************************************************************/

var template_leadin_wav		= "standard/leadin.wav";
var template_leadout_wav	= "standard/leadout.wav";
var template_explanation_wav	= "standard/continue.wav";
var template_then_wav = "standard/g_then.wav";

var template_leadin      = "Press [Enter] to <a style='color:#0033cc; font-weight:bold' href='javascript:HLink(0)'>start</a>.";
var template_leadout     = "Press [Enter] to <a style='color:#0033cc; font-weight:bold' href='javascript:HLink(1)'>finish</a>.";
var template_explanation = "Press [Enter] to <a style='color:#0033cc; font-weight:bold' href='javascript:HLink(2)'>continue</a>.";

var template_knowit_leadin      = "<p align=right><a class='InstructText'>Press [Enter] to </a><a class='BubbleHyperText' href='javascript:HLink(0)'>Start</a><a class='InstructText'>.</a></p>";
var template_knowit_leadout     = "<p align=right><a class='InstructText'>Press [Enter] to </a><a class='BubbleHyperText' href='javascript:HLink(1)'>Continue</a><a class='InstructText'>.</a></p>";
var template_knowit_nextstep    = "<p align=right><a class='BubbleHyperText' href='javascript:HLink(2)'>Show Step</a></p>";
var template_knowit_explanation = "Press [Enter] to <a style='color:#0033cc; font-weight:bold' href='javascript:HLink(1)'>Continue</a>.";

var template_knowit_leadin_score1 = "<p class='bubble' style='font-size:10pt'>Score Needed: <font color='#FF0000'><b>";
var template_knowit_leadin_score2 = "%</b></font></p>";

// the id img_icon02 will allow the DOM to appendChild the image into the table cell
// in the binterface.js.
// Having the img tag and using innerHTML causes IE6 SP1 to hang.
var template_knowit_icon02 = "icon02.gif"
var template_knowit_warningL1	= "<p><table cols=2><tr><td valign=top id='img_icon02' name='img_icon02'><td><a class='InstructText'><p>The action you have performed is incorrect.</p><p>Please try again.</p></a></table></p>";
var template_knowit_warningL2	= "<table cols=2><tr><td valign=top id='img_icon02' name='img_icon02'><td><a class='InstructText'><b><p>The action you have performed is incorrect.</p><p>Please follow the instructions provided.<p/></b></a></table><hr>";
var template_knowit_warningL3_0	= "<table cols=2><tr><td valign=top id='img_icon02' name='img_icon02'><td><a class='InstructText'><b><font color='#FF0000'><p>The action you have performed is incorrect.</p><p>Please follow the instructions carefully.</p></font></b></a></table><hr>";
var template_knowit_warningL3_H	= "<table cols=2><tr><td valign=top id='img_icon02' name='img_icon02'><td><a class='InstructText'><b><font color='#FF0000'><p>The action you have performed is incorrect.</p><p>Please follow the instructions provided and take note of the highlighted area.</p></font></b></a></table><hr>";
var template_knowit_warningL4	= "<table cols=2><tr><td valign=top id='img_icon02' name='img_icon02'><td><a class='InstructText'><b><font color='#000080'><p>The action you have performed is incorrect.</p><p>When you press OK, this step will be completed for you.</p><p>When it is complete, you may continue with the next step.</p></font></b></a><input type='button' width=200 value='OK' onClick='HLink(10)'></table>";

var template_scoring1	= "<table cellpadding=2 border=1 cols=2><tr><td nowrap><a class='InstructText'>Total % of Steps Without Assistance:</a><td><b><font color='#FF0000'>";
var template_scoring2	= "%</font></b><tr><td><a class='InstructText'>% Needed to Pass:</a><td><b><font color='#FF0000'>";
var template_scoring3	= "%</font></b><tr><td><a class='InstructText'>Result:</a><td><b><font color='#FF0000'>";
var template_scoring4	= "</font></b></table><p></p><table rows=2 width='100%'><tr><td align=left><a class='BubbleHyperText' href='javascript:HLink(400)'>Print Results</a><td align=right><a class='InstructText'>Press [Enter] to </a><a class='BubbleHyperText' href='javascript:HLink(20)'>Finish</a><a class='InstructText'>.</a></table>";

var template_scoring_YES = "Pass";
var template_scoring_NO  = "Fail";

var template_knowit_yes_img0 = "yes0.gif"
var template_knowit_no_img0 = "no0.gif"
var template_knowit_yes_img1 = "yes1.gif"
var template_knowit_no_img1 = "no1.gif"
var template_knowit_dt_img0 = "donetyping0.gif"
var template_knowit_dt_img1 = "donetyping1.gif"


var template_knowit_continue	= "<a class='InstructText'>Please continue working to complete this task.</a>";
var template_knowit_confirmdemo	= "<a class='InstructText'><p>If you choose to see this step, it will be graded as incorrect.</p><p>Do you wish to see this step?</p></a><p align=right id='img_YesNo' name='img_YesNo'></p><table rows=2><tr><td><input name='KConfCB' type='checkbox' onClick='HLink(125)'><td><a class='InstructText'>Do not display this message again during this topic.</a></table>";
var template_typingcomplete= "<p align=right id='img_DoneTyping' name='img_DoneTyping'></p>";

var template_knowit_dragwarning	= "<a class='InstructText'><b><font color='#000080'><p>The following action is a Drag and Drop.<br>When you press OK, this step will be completed for you.<br>When it is complete, you may continue with the next step.</p><p>You will not be scored for this step.</p></font></b></a><input type='button' width=200 value='OK' onClick='HLink(30)'>"

var template_knowit_finish_close = "<ul><li><a class='InstructText' href='javascript:HLink(500)'>I&nbsp;would&nbsp;like&nbsp;to&nbsp;exit&nbsp;Know&nbsp;It?&nbsp;and&nbsp;not&nbsp;be&nbsp;scored</a><li><a class='InstructText' href='javascript:HLink(501)'>Return&nbsp;to&nbsp;Know&nbsp;It?</a></ul>";

var template_strinp_suppress_example=0;
var template_strinp_something_text= "a valid value; e.g., #VALUE"
var template_strinp_something_text_noexample= "a valid value"
var template_strinp_anything_text= "a valid value; e.g., #VALUE or leave blank"
var template_strinp_anything_text_noexample= "a valid value or leave blank"
var template_strinp_nothing="leave blank"
var template_strinp_or="or"

var template_strinp_formatter_start="\"<font style='color=#ff0000'><b>"


var template_strinp_boldcolor="#FF0000"
var template_strinp_formatter_start_1="\"<font style='color="
var template_strinp_formatter_start_2="'><b>"
var template_strinp_formatter_start=template_strinp_formatter_start_1+template_strinp_boldcolor+template_strinp_formatter_start_2;

var template_strinp_formatter_end="</b></font>\""

var template_pauselink = "<div align='right'><br><a id='prdiv' class='InstructText' href='javascript:HLink(600)'>Pause</a></div>"

